Subject: bug#57411: Error when guix pull on aarch64-linux

From: Jessica Tallon <[email-masked]>
Date: Thu, 25 Aug 2022 19:50:23 +0200

Hello,

I've tried to install linux on my phone which is a arm64 device
(Sailfish OS) and I get an error when I try to run `guix pull`. The
error is:

Updating channel 'guix' from Git repository at 'https://git.savannah.gnu.org/git/guix.git'...
Authenticating channel 'guix', commits 9edb3f6 to 26ff8a4 (1 new commits)...
Building from this channel:
  guix      https://git.savannah.gnu.org/git/guix.git   26ff8a4
substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
building /gnu/store/g83xiljbqic95p55jrnxcblv1xg42r8m-compute-guix-derivation.drv...
Computing Guix derivation for 'aarch64-linux'... \Backtrace:
          15 (primitive-load "/gnu/store/dqql69hadwvlkb0f85m8603r72ln34lm-compute-guix-derivation")
In ice-9/eval.scm:
    155:9 14 (_ _)
    159:9 13 (_ #(#(#(#(#(#(#(#(#(#(#(#(#(#(#(#(#<directory (guile-u?> ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?))
In ice-9/boot-9.scm:
    152:2 12 (with-fluid* _ _ _)
    152:2 11 (with-fluid* _ _ _)
In ./guix/store.scm:
  2168:24 10 (run-with-store #<store-connection 256.99 7c0d42e230> _ #:guile-for-build _ #:system _ #:target _)
   1996:8  9 (_ _)
In ./guix/gexp.scm:
   300:22  8 (_ _)
   1181:2  7 (_ _)
   1047:2  6 (_ _)
    893:4  5 (_ _)
In ./guix/store.scm:
  2053:12  4 (_ #<store-connection 256.99 7c0bd27910>)
   1401:5  3 (map/accumulate-builds #<store-connection 256.99 7c0bd27910> #<procedure 7c0c21df30 at ./guix/store.sc?> ?)
  1417:15  2 (_ #<store-connection 256.99 7c0bd27910> _ _)
   711:11  1 (process-stderr #<store-connection 256.99 7c0bd27910> _)
In ./guix/serialization.scm:
     80:6  0 (read-int #<input-output: file 10>)

./guix/serialization.scm:80:6: In procedure read-int:
ERROR:
  1. &nar-error:
      file: #f
      port: #<input-output: file 10>
guix pull: error: You found a bug: the program '/gnu/store/dqql69hadwvlkb0f85m8603r72ln34lm-compute-guix-derivation'
failed to compute the derivation for Guix (version: "26ff8a4b733c06b4f38aa1fb1ec6705bf30eae4a"; system: "aarch64-linux";
host version: "1.3.0"; pull-version: 1).

-- 
Thanks,
Jessica.